Bug Hunting Session
Bug 93187 - GTK+ 3: Spin box element in navigator is cut off
Summary: GTK+ 3: Spin box element in navigator is cut off
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-06 10:07 UTC by Michael Heyns
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of navigator side bar (10.17 KB, image/png)
2015-08-06 10:07 UTC, Michael Heyns
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Heyns 2015-08-06 10:07:37 UTC
Created attachment 117707 [details]
screenshot of navigator side bar

LibreOffice 5.0.0 on Arch Linux

I believe it's used to show page number. Element is cut off. Please refer to attached screenshot.
Comment 1 Adolfo Jayme 2015-08-09 12:02:19 UTC
GTK+ spin boxes feature huge buttons (since GTK+ 3.4 IIRC) because GNOME’s design team was obsessed with touch at the moment.

Due to that, we need to figure out what to do with this component of the Navigator. Any solution we come up (e.g., rearranging the buttons, etc.) needs to work well across platforms, even though this bug is exclusive of GNOME 3.
Comment 2 Commit Notification 2015-09-30 08:15:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e468ed58994f4eb75519cb52111ed942fbc7377

Resolves: tdf#93187 gtk3 spin box element in navigator cut-off

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-10-05 08:03:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=935c1294c21db82a6b96836057cd3a2e66351e89&h=libreoffice-5-0

Resolves: tdf#93187 gtk3 spin box element in navigator cut-off

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.